## org.eclipse.emf.ecore.xmi.impl
Class SAXXMIHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.eclipse.emf.ecore.xmi.impl.XMLHandler
              org.eclipse.emf.ecore.xmi.impl.XMIHandler
                  org.eclipse.emf.ecore.xmi.impl.SAXXMIHandler

All Implemented Interfaces:
  XMLDefaultHandler, org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.ext.LexicalHandler

Direct Known Subclasses:
  EMOFHandler

    public class SAXXMIHandler

extends XMIHandler

This class is a SAX handler for creating MOF2 objects from an XMI 2.0 file.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.xmi.impl.XMLHandler
`XMLHandler.ManyReference, XMLHandler.MyEObjectStack, XMLHandler.MyStack<E>, XMLHandler.SingleReference`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.xmi.impl.XMIHandler
`ID_ATTRIB, UUID_ATTRIB, VERSION_ATTRIB, XMI_ELEMENT_NAME, XMI_ELEMENT_TYPE, XMI_EXTENSION, XMI_TYPE_ATTRIB, XMI_UUID`

Fields inherited from class org.eclipse.emf.ecore.xmi.impl.XMLHandler

`anySimpleType, anyType, ARRAY_SIZE, attribs, capacity, contextFeature, DEBUG_DEMANDED_PACKAGES, deferIDREFResolution, deferredExtent, disableNotify, DOCUMENT_ROOT_TYPE, documentRoot, ecoreBuilder, elements, eObjectToExtensionMap, ERROR_TYPE, extendedMetaData, extent, externalURIToLocations, featuresToKinds, forwardManyReferences, forwardSingleReferences, helper, hrefAttribute, idAttribute, identifiers, isIDREF, isNamespaceAware, isRoot, isSimpleFeature, laxWildcardProcessing, locator, mixedTargets, needsPushContext, NIL_ATTRIB, NO_NAMESPACE_SCHEMA_LOCATION_ATTRIB, notFeatures, OBJECT_TYPE, objects, oldStyleProxyURIs, packageRegistry, positions, prefixesToFactories, processAnyXML, processSchemaLocations, recordAnyTypeNSDecls, recordUnknownFeature, REFERENCE_THRESHOLD, resolve, resourceEntityHandler, resourceSet, resourceURI, sameDocumentProxies, SCHEMA_LOCATION_ATTRIB, suppressDocumentRoot, text, TYPE_ATTRIB, types, UNKNOWN_FEATURE_TYPE, uriHandler, urisToLocations, useConfigurationCache, usedNullNamespacePackage, useNewMethods, xmlMap, xmlResource, xmlSchemaTypePackage`

Constructor Summary
`SAXXMIHandler(XMLResource xmiResource, XMLHelper helper, java.util.Map<?,?> options)` Constructor.

Method Summary
`protected java.lang.String` `getXSIType()` Returns the xsi type attribute's value.
`protected void` `handleObjectAttribs(EObject obj)` Process the XMI attributes for the newly created object.

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.XMIHandler
`createDocumentRoot, createObject, handleUnknownFeature, isTextFeatureValue, processElement, startElement`

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.XMLHandler

`characters, comment, createEcoreBuilder, createObject, createObjectByType, createObjectFromFactory, createObjectFromFeatureType, createObjectFromTypeName, createTopObject, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, error, error, fatalError, fatalError, getColumnNumber, getExtension, getFactoryForPrefix, getFeature, getFeature, getLineNumber, getLocation, getPackageForURI, getURIConverter, getXMLEncoding, growArrays, handleCDATA, handleComment, handleFeature, handleForwardReferences, handleForwardReferences, handleMissingPackage, handleMixedText, handleNamespaceAttribs, handleProcessingInstruction, handleProxy, handleSchemaLocation, handleTopLocations, handleXMLNSAttribute, handleXSINoNamespaceSchemaLocation, handleXSISchemaLocation, ignorableWhitespace, isError, isNull, notationDecl, prepare, processingInstruction, processObject, processSchemaLocations, processTopObject, recordHeaderInformation, recordNamespacesSchemaLocations, recordUnknownFeature, reportUnknownFeature, reset, resolveEntity, setAttributes, setAttribValue, setDocumentLocator, setExtendedMetaDataOption, setFeatureValue, setFeatureValue, setFeatureValues, setLocator, setValueFromId, skippedEntity, startCDATA, startDocument, startDTD, startElement, startEntity, startPrefixMapping, toXMIException, unparsedEntityDecl, validateCreateObjectFromFactory, validateCreateObjectFromFactory, validateCreateObjectFromFactory, warning, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXXMIHandler

    public SAXXMIHandler(XMLResource xmiResource,
                         XMLHelper helper,
                         java.util.Map<?,?> options)

  Constructor.

Method Detail

### getXSIType

    protected java.lang.String getXSIType()

  Description copied from class: `XMLHandler`
  Returns the xsi type attribute's value.

  Specified by:
    `getXSIType` in class `XMLHandler`

### handleObjectAttribs

    protected void handleObjectAttribs(EObject obj)

  Process the XMI attributes for the newly created object.

  Specified by:
    `handleObjectAttribs` in class `XMLHandler`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.